Search documentation of polar_express

# PolarExpress.Schemas.SubscriptionUpdateProduct (polar_express v0.1.5)

Copy Markdown View Source

SubscriptionUpdateProduct

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.SubscriptionUpdateProduct{
      product_id: String.t() | nil,
      proration_behavior:
        PolarExpress.Schemas.SubscriptionProrationBehavior.t() | nil
    }

- `product_id` - Update subscription to another product. Format: uuid4.
- `proration_behavior` - Determine how to handle the proration billing. If not provided, will use the default organization setting. Nullable.

## Functions

# schema_name()